﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Controls;

namespace LabelPresenterTemplating
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDataGrid_Sorting(object sender, Infragistics.Windows.DataPresenter.Events.SortingEventArgs e)
        {
            e.Cancel = true;

            if (e.Field.Tag != null)
            {
                if (e.Field.Tag.Equals("Descending"))
                {
                    e.Field.Tag = "Ascending";
                    return;
                }
                if (e.Field.Tag.Equals("Ascending"))
                {
                    e.Field.Tag = "Descending";
                    return;
                }  
            }
            else
            {
                e.Field.Tag = e.SortDescription.Direction.ToString();
            }
        }
    }
}
